polybori::groebner::RedTailNth Class Reference

`#include <RedTailNth.h>`

## Public Member Functions

| RedTailNth (ReductionStrategy &strat)
template<class KeyType >
const Polynomial & | operator() (const KeyType &key)

## Detailed Description

This class applies tail reduction to the n-th element of a given `ReductionStrategy`.

## Constructor & Destructor Documentation

polybori::groebner::RedTailNth::RedTailNth | ( | ReductionStrategy & | strat) |  |

inline

## Member Function Documentation

template<class KeyType >

const Polynomial& polybori::groebner::RedTailNth::operator() | ( | const KeyType & | key) |  |

inline

The documentation for this class was generated from the following file:

- RedTailNth.h